Bug 857830 - [XML-RPC] TestCase.calculate_average_estimated_time() doesn't work
[XML-RPC] TestCase.calculate_average_estimated_time() doesn't work
Status: VERIFIED
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
3.8.0
Unspecified Unspecified
low Severity low
: ---
: 3.8.10
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 03:13 EDT by Xin Gao
Modified: 2018-02-15 19:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xin Gao 2012-09-17 03:13:49 EDT
Description of problem:
TestCase.calculate_average_estimated_time() doesn't work

Version-Release number of selected component (if applicable):
tcms 3.8 on stage/production

How reproducible:


Steps to Reproduce:
1. TestCase.get(93021)['estimated_time']    ------> result is: '100:07:05'
2. TestCase.get(93857)['estimated_time']    ------> result is: '03:04:01'
3. TestCase.calculate_average_estimated_time([93021, 93857])
  
Actual results:
'00:00:00'

Expected results:
(100:07:05 + 03:04:01) / 2

Additional info:
Comment 1 jihu 2012-09-19 22:39:56 EDT
i reproduce this issue,it display average time '51:3095:33',only the min part is wrong,got "00:00:00" maybe some time delay.

reproduce steps:
1. TestCase.get(93021)['estimated_time']    ------> result is: '100:07:05'
2. TestCase.get(93857)['estimated_time']    ------> result is: '03:04:01'
3. TestCase.calculate_total_estimated_time([93021, 93857])
4. TestCase.calculate_average_estimated_time([93021, 93857])

Actual results:
'51:3095:33'

Expected results:
(100:07:05 + 03:04:01)/2
Comment 2 yangqiu 2014-07-30 04:56:35 EDT
Verify this bug on v3.8.10-1 on devel server.-->Fail

If the hour is over 60, the result is wrong.

verify steps:
1. TestCase.calculate_average_estimated_time([293348])------> result is: '180120'
2. TestCase.calculate_total_estimated_time([293348])

Actual results:
'15:03:00'

Expected results:
'75:03:00'
Comment 3 yangqiu 2014-08-05 05:30:23 EDT
verify this issue on v3.8.10-1 on devel server.--->Pass
verify steps are same as description.

Note You need to log in before you can comment on or make changes to this bug.